Bug 1417450 - GNOME Shell crashes with nouveau and Wayland
Summary: GNOME Shell crashes with nouveau and Wayland
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-nouveau
Version: 26
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Ben Skeggs
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-29 13:54 UTC by Couret Charles-Antoine
Modified: 2018-05-29 11:20 UTC (History)
11 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-05-29 11:20:27 UTC
Type: Bug


Attachments (Terms of Use)
Backtrace of gnome-shell before crash (18.97 KB, text/plain)
2017-01-29 13:54 UTC, Couret Charles-Antoine
no flags Details

Description Couret Charles-Antoine 2017-01-29 13:54:13 UTC
Created attachment 1245579 [details]
Backtrace of gnome-shell before crash

I use Fedora Rawhide since November.
And sometimes Gnome-Shell crashed, especially when I used Alt+Tab command.

The system is up to date, my graphical card is a nVidia Quadro 1000m powered by nouveau driver.
I have backtraces, all of it mentioned __memcpy_sse2_unaligned_erms as last function.

systemd-coredump generates core dump for gnome-shell, but I can't find this file. Before, with ABRT I can do it.

Comment 1 Fedora End Of Life 2017-02-28 11:07:29 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 26 development cycle.
Changing version to '26'.

Comment 2 Tom Horsley 2017-07-14 22:49:26 UTC
I also have problems when using nouveau and wayland in a fresh fedora 26
workstation (x86_64) install (from the released live workstation iso). The gdm login screen comes up, but as soon as I try to login I get a mostly green wavy pointillist pattern filling the screen and the system appears to be frozen - won't respond to any keypresses, won't move the mouse pointer. My graphics card is:

 01:00.0 VGA compatible controller: NVIDIA Corporation GM206 [GeForce GTX 960] (rev a1)

When I hit the reset switch to get the system to reboot and switch my login session to "Gnome on xorg" it logs in fine and the graphics seem to function perfectly.

Possibly relevant rpms I'm running (I have done one dnf update since the install):

xorg-x11-drv-nouveau-1.0.15-1.fc26.x86_64
kernel-4.11.9-300.fc26.x86_64

Comment 3 Akseli Koskinen 2017-07-21 18:19:44 UTC
I can confirm the same exact problem with Tom Horsley with graphics card: NVIDIA Corporation GK104 [GeForce GTX 760] (rev a1)

Comment 4 Michael Osborne 2017-07-27 18:52:07 UTC
I have the same behavior as Tom Horsley as well, except even trying to start Gnome on X fails. Just  a simple startx will lock the machine.

02:00.0 VGA compatible controller: NVIDIA Corporation NV41 [GeForce 6800] (rev a2)

kernel-4.11.11-300.fc26.x86_64
xorg-x11-drv-nouveau-1.0.15-1.fc26.x86_64

all updates current

Comment 5 Will C 2017-07-31 17:08:20 UTC
Confirming same behavior as Tom Horsley:

kernel-4.11.11-300.fc26.x86_64
xorg-x11-drv-nouveau-1:1.0.15-1.fc26.x86_64

01:00.0 VGA compatible controller: NVIDIA Corporation GK110 [GeForce GTX 780] (rev a1)

Attempting to log in via Gnome /w Wayland locks the system and requires a reset.
Logging in with Gnome w/ Xorg works fine.

Comment 6 Fedora End Of Life 2018-05-03 08:06:16 UTC
This message is a reminder that Fedora 26 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 26. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '26'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 26 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 7 Fedora End Of Life 2018-05-29 11:20:27 UTC
Fedora 26 changed to end-of-life (EOL) status on 2018-05-29. Fedora 26
is no longer maintained, which means that it will not receive any
further security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.